Subject: Re: bug#59141: 28.1.90; Face :extend when all the line but trailing \n is invisible

From: Abdul-Lateef Haji-Ali <[email-masked]>
Date: Fri, 11 Nov 2022 19:47:45 +0000

On 11/11/2022, Eli Zaretskii wrote:
> I don't think I understand the question.  What do you mean by "overlay
> rendering"?  An overlay can produce text only if it has a
> before-string or after-string property, so what do you mean by
> "arbitrary text"?

I might be using the wrong terms here, but I think the idea is straightforward.
According to `buffer-invisibility-spec` docs

,----
| If the (ATOM . ELLIPSIS) form is used, and ELLIPSIS is non-nil, an
| ellipsis will be displayed after the invisible characters.
`----

so I am wondering if a new form like `(ATOM . STRING)` can be supported so that STRING can be displayed after the invisible characters instead of ellipses.

>> More to the point, what do people think about the making the extent of an outline of an entry include a new line? Is that more or less logical than the current behaviour?
>
> How would that help?  The display engine is blissfully unaware of Org
> headings and entries, it just sees text in a buffer.
The question was indeed directed to org users rather than to display engine developers.

The suggested solution is have an outline entry include the new line character (so that the whole extended lines is hidden). The displayed text after the invisible text would then be "...\n".
The final output is behaviour to the current one except for two things:
1. The entry would contain "\n'", logically speaking.
2. The extended line would be hidden as part of the entry.

I hope this clarifies my point.